Subject: [bug#39136] [PATCH] gnu: services: Add endlessh.

From: [email-masked]
Date: Wed, 31 Aug 2022 23:34:36 +0000

August 31, 2022 6:49 AM, "Ludovic Courtès" <[email-masked]> wrote:

> Hi Joshua,
> 
> Joshua Branson <[email-masked]> skribis:
> 
>> doc: endlessh service documentation.
>> 
>> * doc/guix.texi (Networking Services): New endlessh-service-type section.
>> 
>> services: containerized endlessh
>> 
>> * gnu/services/ssh.scm (endlessh-config->conf): make-forkexec-contructor ->
>> make-forkexec-constructor/container. and attempted to enable logging to syslog.
>> (define-record-type* <endlessh-configuration>)
>> move default values of endlessh configuration to separate line.
>> Add copyright line for Nicolo.
> 
> Could you merge both patch #1 and patch #2? Usually doc is added in the
> same commit as the thing being documented.
> 
>> +@cindex Endlessh
>> +@deffn {Scheme Variable} endlessh-service-type
>> +This is the type for the @uref{https://github.com/skeeto/endlessh,
>> +Endlessh} program that delays ssh clients for days at a time by
> 
> Nitpick: s/ssh/SSH/.
> 
>> +@emph{very slowly} sending a random and endless SSH banner. The smart
>> +hacker will put endlessh running on port 22, and let crackers get stuck
> 
> Maybe “The smart hacker will put” -> “You would typically run”
> 
>> + (start #~(make-forkexec-constructor/container
> 
> Let’s forget about ‘/container’ for now if it doesn’t work yet.
> 
> Perhaps we can have a minimal system test to make sure the thing is
> running and listening on the right port? There are tests for
> full-fledged SSH servers in (gnu tests ssh) that could serve as
> inspiration.
> 
> Could you send a (hopefully) last version with these changes?

Will merge the doc and code changes and submit an updated patch soon.

Thanks!

Joshua

> Thanks in advance,
> Ludo’.